Get Component Properties
Get the default property values of a component definition.
<Note>If you do not include a `localeId` in your request, the response will return any properties that can be localized from the Primary locale.</Note>
Required scope | `components:read`
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
site_id
Unique identifier for a Site
component_id
Unique identifier for a Component
Query parameters
localeId
Unique identifier for a specific Locale.
branchId
Scope the operation to work on a specific branch.
limit
Maximum number of records to be returned (max limit: 100)
offset
Offset used for pagination if the results have more than limit records
Response
Request was successful
componentId
Component ID
properties
pagination
Pagination object
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error